org.apache.cassandra.io.sstable

## Class IndexSummary

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummary

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class IndexSummary
    extends java.lang.Object
    implements java.io.Closeable

### Nested Class Summary

Nested Classes
`static class` `IndexSummary.IndexSummarySerializer`

### Field Summary

Fields
`static IndexSummary.IndexSummarySerializer` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`IndexSummary(IPartitioner partitioner, Memory memory, int summary_size, int indexInterval)`

### Method Summary

Methods
`int` `binarySearch(RowPosition key)`
`void` `close()`
`int` `getIndex(int index)`
`int` `getIndexInterval()`
`byte[]` `getKey(int index)`
`long` `getPosition(int index)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final IndexSummary.IndexSummarySerializer serializer

### Constructor Detail

#### IndexSummary

    public IndexSummary(IPartitioner partitioner,
                Memory memory,
                int summary_size,
                int indexInterval)

### Method Detail

#### binarySearch

    public int binarySearch(RowPosition key)

#### getIndex

    public int getIndex(int index)

#### getKey

    public byte[] getKey(int index)

#### getPosition

    public long getPosition(int index)

#### getIndexInterval

    public int getIndexInterval()

#### size

    public int size()

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.io.IOException`